gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated: -minor cleanups


From: gnunet
Subject: [taler-exchange] branch master updated: -minor cleanups
Date: Fri, 17 Nov 2023 09:55:25 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository exchange.

The following commit(s) were added to refs/heads/master by this push:
     new 5e3d9cce -minor cleanups
5e3d9cce is described below

commit 5e3d9cce0643f4c03e6c7b6fd3a485711766f2cd
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Fri Nov 17 09:55:21 2023 +0100

    -minor cleanups
---
 contrib/.gitignore                 |  2 ++
 src/testing/taler-unified-setup.sh | 18 ++++++++++++------
 src/util/paths.conf                |  6 +++---
 3 files changed, 17 insertions(+), 9 deletions(-)

diff --git a/contrib/.gitignore b/contrib/.gitignore
index aa92d47b..f4472487 100644
--- a/contrib/.gitignore
+++ b/contrib/.gitignore
@@ -1,2 +1,4 @@
 taler-terms-generator
 locale/**/*.pot
+Makefile.am
+Makefile.am.ext
diff --git a/src/testing/taler-unified-setup.sh 
b/src/testing/taler-unified-setup.sh
index 13b71550..479a125f 100755
--- a/src/testing/taler-unified-setup.sh
+++ b/src/testing/taler-unified-setup.sh
@@ -260,9 +260,13 @@ register_bank_account() {
 }
 
 register_fakebank_account() {
-    # FIXME: may need to pass 'is_taler_exchange' here
-    # in the future to get exchange facade from libeufin!
-    BODY='{"username":"'"$1"'","password":"'"$2"'","name":"'"$1"'"}'
+    if [ "$1" = "exchange" ] || [ "$1" = "Exchange" ]
+    then
+        IS_EXCHANGE="true"
+    else
+        IS_EXCHANGE="false"
+    fi
+    
BODY='{"username":"'"$1"'","password":"'"$2"'","name":"'"$1"'","is_taler_exchange":'"$IS_EXCHANGE"'}'
     wget \
         --post-data="$BODY" \
         --header='Content-type: application/json' \
@@ -270,6 +274,7 @@ register_fakebank_account() {
         --waitretry=1 \
         --timeout=30 \
         "http://localhost:$BANK_PORT/accounts"; \
+        -a wget-register-account.log \
         -o /dev/null \
         -O /dev/null \
         >/dev/null
@@ -705,18 +710,19 @@ then
         sleep "$DEFAULT_SLEEP"
         wget \
             --tries=1 \
-            --timeout=1 \
+            --timeout=5 \
             "${EXCHANGE_URL}keys" \
+            -a wget-keys-check.log \
             -o /dev/null \
             -O "$LAST_RESPONSE" \
-             >/dev/null || continue
+            >/dev/null || continue
         OK="1"
         break
     done
     if [ "1" != "$OK" ]
     then
         cat "$LAST_RESPONSE"
-        exit_fail " Failed to setup keys"
+        exit_fail " Failed to fetch ${EXCHANGE_URL}keys"
     fi
     rm "$LAST_RESPONSE"
     echo " OK"
diff --git a/src/util/paths.conf b/src/util/paths.conf
index 9e1c53bb..f34ccb41 100644
--- a/src/util/paths.conf
+++ b/src/util/paths.conf
@@ -17,13 +17,13 @@ TALER_HOME = ${TALER_TEST_HOME:-${HOME:-${USERPROFILE}}}
 # for how these should be used.
 
 # Persistent data storage
-TALER_DATA_HOME = 
${TALER_TEST_HOME:-${XDG_DATA_HOME:-${TALER_HOME}}}/.local/share/taler/
+TALER_DATA_HOME = ${XDG_DATA_HOME:-${TALER_HOME}/.local/share}/taler/
 
 # Configuration files
-TALER_CONFIG_HOME = 
${TALER_TEST_HOME:-${XDG_CONFIG_HOME:-${TALER_HOME}}}/.config/taler/
+TALER_CONFIG_HOME = ${XDG_CONFIG_HOME:-${TALER_HOME}/.config}/taler/
 
 # Cached data, no big deal if lost
-TALER_CACHE_HOME = 
${TALER_TEST_HOME:-${XDG_CACHE_HOME:-${TALER_HOME}}}/.cache/taler/
+TALER_CACHE_HOME = ${XDG_CACHE_HOME:-${TALER_HOME}/.cache}/taler/
 
 # Runtime data (always lost on system boot)
 TALER_RUNTIME_DIR = ${TMPDIR:-${TMP:-/tmp}}/taler-system-runtime/

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]